Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 4647)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 4648)
@@ -46,8 +46,8 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea1 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
-      System.Windows.Forms.DataVisualization.Charting.Legend legend1 = new System.Windows.Forms.DataVisualization.Charting.Legend();
-      System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
-      System.Windows.Forms.DataVisualization.Charting.Title title1 = new System.Windows.Forms.DataVisualization.Charting.Title();
+      System.Windows.Forms.DataVisualization.Charting.ChartArea defaultChartArea = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
+      System.Windows.Forms.DataVisualization.Charting.Legend defaultLegend = new System.Windows.Forms.DataVisualization.Charting.Legend();
+      System.Windows.Forms.DataVisualization.Charting.Series defaultSeries = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.Title defaultTitle = new System.Windows.Forms.DataVisualization.Charting.Title();
       this.chart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
       this.contextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
@@ -76,28 +76,28 @@
       this.chart.BorderlineColor = System.Drawing.Color.Black;
       this.chart.BorderlineDashStyle = System.Windows.Forms.DataVisualization.Charting.ChartDashStyle.Solid;
-      chartArea1.CursorX.IsUserEnabled = true;
-      chartArea1.CursorX.IsUserSelectionEnabled = true;
-      chartArea1.CursorY.IsUserEnabled = true;
-      chartArea1.CursorY.IsUserSelectionEnabled = true;
-      chartArea1.Name = "ChartArea1";
-      this.chart.ChartAreas.Add(chartArea1);
+      defaultChartArea.CursorX.IsUserEnabled = true;
+      defaultChartArea.CursorX.IsUserSelectionEnabled = true;
+      defaultChartArea.CursorY.IsUserEnabled = true;
+      defaultChartArea.CursorY.IsUserSelectionEnabled = true;
+      defaultChartArea.Name = "Default";
+      this.chart.ChartAreas.Add(defaultChartArea);
       this.chart.ContextMenuStrip = this.contextMenuStrip;
-      legend1.Alignment = System.Drawing.StringAlignment.Center;
-      legend1.Docking = System.Windows.Forms.DataVisualization.Charting.Docking.Top;
-      legend1.Name = "Legend1";
-      this.chart.Legends.Add(legend1);
+      defaultLegend.Alignment = System.Drawing.StringAlignment.Center;
+      defaultLegend.Docking = System.Windows.Forms.DataVisualization.Charting.Docking.Top;
+      defaultLegend.Name = "Default";
+      this.chart.Legends.Add(defaultLegend);
       this.chart.Location = new System.Drawing.Point(0, 52);
       this.chart.Name = "chart";
-      series1.ChartArea = "ChartArea1";
-      series1.Legend = "Legend1";
-      series1.Name = "Series1";
-      this.chart.Series.Add(series1);
+      defaultSeries.ChartArea = "Default";
+      defaultSeries.Legend = "Default";
+      defaultSeries.Name = "Default";
+      this.chart.Series.Add(defaultSeries);
       this.chart.Size = new System.Drawing.Size(359, 222);
       this.chart.TabIndex = 4;
-      this.chart.Text = "chart1";
-      title1.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      title1.Name = "Default";
-      title1.Text = "Title";
-      this.chart.Titles.Add(title1);
+      this.chart.Text = "chart";
+      defaultTitle.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      defaultTitle.Name = "Default";
+      defaultTitle.Text = "Title";
+      this.chart.Titles.Add(defaultTitle);
       this.chart.CustomizeLegend += new System.EventHandler<System.Windows.Forms.DataVisualization.Charting.CustomizeLegendEventArgs>(this.chart_CustomizeLegend);
       this.chart.MouseDown += new System.Windows.Forms.MouseEventHandler(this.chart_MouseDown);
Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 4647)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 4648)
@@ -125,4 +125,5 @@
       }
       series.YAxisType = row.VisualProperties.SecondYAxis ? AxisType.Secondary : AxisType.Primary;
+      if (row.VisualProperties.Color != Color.Empty) series.Color = row.VisualProperties.Color;
       series.ToolTip = row.Name + " X = #INDEX, Y = #VAL";
       FillSeriesWithRowValues(series, row);
@@ -256,4 +257,5 @@
         }
         chart.Series[row.Name].YAxisType = row.VisualProperties.SecondYAxis ? AxisType.Secondary : AxisType.Primary;
+        if (row.VisualProperties.Color != Color.Empty) chart.Series[row.Name].Color = row.VisualProperties.Color;
       }
     }
Index: /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalyzer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalyzer.cs	(revision 4647)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalyzer.cs	(revision 4648)
@@ -164,4 +164,5 @@
           visualProperties.ChartType = DataRowVisualProperties.DataRowChartType.Line;
           visualProperties.SecondYAxis = true;
+          visualProperties.StartIndexZero = true;
           allelesTable.Rows.Add(new DataRow("Unique Alleles of Best Known Solution", null, visualProperties));
           allelesTable.Rows.Add(new DataRow("Fixed Alleles", null, visualProperties));
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataRowVisualProperties.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataRowVisualProperties.cs	(revision 4647)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataRowVisualProperties.cs	(revision 4648)
@@ -23,4 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using System.Drawing;
 
 namespace HeuristicLab.Analysis {
@@ -39,5 +40,4 @@
     #endregion
 
-    [Storable(DefaultValue = DataRowChartType.Line)]
     private DataRowChartType chartType;
     public DataRowChartType ChartType {
@@ -50,5 +50,4 @@
       }
     }
-    [Storable(DefaultValue = false)]
     private bool secondYAxis;
     public bool SecondYAxis {
@@ -61,12 +60,59 @@
       }
     }
+    private Color color;
+    public Color Color {
+      get { return color; }
+      set {
+        if (color != value) {
+          color = value;
+          OnPropertyChanged("Color");
+        }
+      }
+    }
+    private bool startIndexZero;
+    public bool StartIndexZero {
+      get { return startIndexZero; }
+      set {
+        if (startIndexZero != value) {
+          startIndexZero = value;
+          OnPropertyChanged("StartIndexZero");
+        }
+      }
+    }
+
+    #region Persistence Properties
+    [Storable(Name = "ChartType")]
+    private DataRowChartType StorableChartType {
+      get { return chartType; }
+      set { chartType = value; }
+    }
+    [Storable(Name = "SecondYAxis")]
+    private bool StorableSecondYAxis {
+      get { return secondYAxis; }
+      set { secondYAxis = value; }
+    }
+    [Storable(Name = "Color")]
+    private Color StorableColor {
+      get { return color; }
+      set { color = value; }
+    }
+    [Storable(Name = "StartIndexZero")]
+    private bool StorableStartIndexZero {
+      get { return startIndexZero; }
+      set { startIndexZero = value; }
+    }
+    #endregion
 
     public DataRowVisualProperties() {
       chartType = DataRowChartType.Line;
       secondYAxis = false;
+      color = Color.Empty;
+      startIndexZero = false;
     }
-    public DataRowVisualProperties(DataRowChartType chartType, bool secondYAxis) {
+    public DataRowVisualProperties(DataRowChartType chartType, bool secondYAxis, Color color, bool startIndexZero) {
       this.chartType = chartType;
       this.secondYAxis = secondYAxis;
+      this.color = color;
+      this.startIndexZero = startIndexZero;
     }
     [StorableConstructor]
@@ -77,4 +123,6 @@
       clone.chartType = chartType;
       clone.secondYAxis = secondYAxis;
+      clone.color = color;
+      clone.startIndexZero = startIndexZero;
       return clone;
     }