Index: /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 4653)
+++ /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 4654)
@@ -47,6 +47,7 @@
       this.components = new System.ComponentModel.Container();
       this.contextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
-      this.saveImageToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.exportChartToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.copyImageToClipboardBitmapToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
       this.contextMenuStrip.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this)).BeginInit();
@@ -56,15 +57,15 @@
       // 
       this.contextMenuStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.saveImageToolStripMenuItem,
+            this.exportChartToolStripMenuItem,
             this.copyImageToClipboardBitmapToolStripMenuItem});
       this.contextMenuStrip.Name = "contextMenuStrip";
-      this.contextMenuStrip.Size = new System.Drawing.Size(257, 70);
+      this.contextMenuStrip.Size = new System.Drawing.Size(257, 48);
       // 
-      // saveImageToolStripMenuItem
+      // exportChartToolStripMenuItem
       // 
-      this.saveImageToolStripMenuItem.Name = "saveImageToolStripMenuItem";
-      this.saveImageToolStripMenuItem.Size = new System.Drawing.Size(256, 22);
-      this.saveImageToolStripMenuItem.Text = "Save Image";
-      this.saveImageToolStripMenuItem.Click += new System.EventHandler(this.saveImageToolStripMenuItem_Click);
+      this.exportChartToolStripMenuItem.Name = "exportChartToolStripMenuItem";
+      this.exportChartToolStripMenuItem.Size = new System.Drawing.Size(256, 22);
+      this.exportChartToolStripMenuItem.Text = "Export Chart";
+      this.exportChartToolStripMenuItem.Click += new System.EventHandler(this.exportChartToolStripMenuItem_Click);
       // 
       // copyImageToClipboardBitmapToolStripMenuItem
@@ -74,4 +75,10 @@
       this.copyImageToClipboardBitmapToolStripMenuItem.Text = "Copy Image to Clipboard (Bitmap)";
       this.copyImageToClipboardBitmapToolStripMenuItem.Click += new System.EventHandler(this.copyImageToClipboardBitmapToolStripMenuItem_Click);
+      // 
+      // saveFileDialog
+      // 
+      this.saveFileDialog.Filter = "\"Bitmap (*.bmp)|*.bmp|JPEG (*.jpg)|*.jpg|EMF (*.emf)|*.emf|PNG (*.png)|*.png|GIF " +
+          "(*.gif)|*.gif|TIFF (*.tif)|*.tif\"";
+      this.saveFileDialog.FilterIndex = 2;
       // 
       // EnhancedChart
@@ -87,6 +94,7 @@
 
     private System.Windows.Forms.ContextMenuStrip contextMenuStrip;
-    private System.Windows.Forms.ToolStripMenuItem saveImageToolStripMenuItem;
+    private System.Windows.Forms.ToolStripMenuItem exportChartToolStripMenuItem;
     private System.Windows.Forms.ToolStripMenuItem copyImageToClipboardBitmapToolStripMenuItem;
+    private System.Windows.Forms.SaveFileDialog saveFileDialog;
   }
 }
Index: /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4653)
+++ /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4654)
@@ -94,10 +94,10 @@
 
       public double ChartX(double pixelX, int width) {
-        return ChartStartPosition.X - (pixelX - PixelStartPosition.X) * 
+        return ChartStartPosition.X - (pixelX - PixelStartPosition.X) *
           (ChartArea.AxisX.ScaleView.ViewMaximum - ChartArea.AxisX.ScaleView.ViewMinimum) /
             (width * ChartArea.Position.Width * ChartArea.InnerPlotPosition.Width / 100 / 100);
       }
       public double ChartY(double pixelY, int height) {
-        return ChartStartPosition.Y + (pixelY - PixelStartPosition.Y) * 
+        return ChartStartPosition.Y + (pixelY - PixelStartPosition.Y) *
           (ChartArea.AxisY.ScaleView.ViewMaximum - ChartArea.AxisY.ScaleView.ViewMinimum) /
             (height * ChartArea.Position.Height * ChartArea.InnerPlotPosition.Height / 100 / 100);
@@ -138,14 +138,5 @@
     #endregion
 
-    private void saveImageToolStripMenuItem_Click(object sender, System.EventArgs e) {
-      SaveFileDialog saveFileDialog = new SaveFileDialog();
-
-      // Sets the current file name filter string, which determines 
-      // the choices that appear in the "Save as file type" or 
-      // "Files of type" box in the dialog box.
-      saveFileDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg)|*.jpg|EMF (*.emf)|*.emf|PNG (*.png)|*.png|GIF (*.gif)|*.gif|TIFF (*.tif)|*.tif";
-      saveFileDialog.FilterIndex = 2;
-      saveFileDialog.RestoreDirectory = true;
-
+    private void exportChartToolStripMenuItem_Click(object sender, System.EventArgs e) {
       // Set image file format
       if (saveFileDialog.ShowDialog() == DialogResult.OK) {